Get Alarms

Get Alarms

Get Alarms of all the Network Services

Request
URI
GET
https://{api_host}/hybridity/api/nsfm/v1/alarms
COPY
Query Parameters
string
filter
Optional

filter

int
nextpage_opaque_marker
Optional

nextpage_opaque_marker

int
pageSize
Optional

pageSize

string
sortOrder
Optional

sortOrder

Possible values are : asc, desc,
string
sortColumn
Optional

sortColumn


Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns vduAlarmsResponse of type(s) application/json
{
    "alarms": [
        "vduAlarms.yaml Object"
    ],
    "nextPage": "string",
    "warnings": [
        "warning.yaml Object"
    ],
    "errors": [
        "error.yaml Object"
    ]
}
alarms
Optional

alarms

string
nextPage
Optional

nextPage

warnings
Optional

warnings

array of error.yaml
errors
Optional

errors

Response Headers

string
nextPage

Gives the next page to query alarms. If the current page is the last page, empty string is returned.


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        "error.yaml Object"
    ]
}
array of error.yaml
errors
Optional

errors